Bug 123627 - [PATCH]devel/py-distorm: update to 1.7.29 and rework port
Summary: [PATCH]devel/py-distorm: update to 1.7.29 and rework port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-13 11:20 UTC by bf
Modified: 2008-06-15 05:50 UTC (History)
0 users

See Also:


Attachments
file.diff (5.99 KB, patch)
2008-05-13 11:20 UTC, bf
no flags Details | Diff
distorm.shar (3.69 KB, application/octet-stream)
2008-05-13 11:23 UTC, bf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2008-05-13 11:20:01 UTC
distorm64 contains two independent libraries, one Python/C, and one pure C, so split it into two ports, py-distorm (Python/C, attached patch) and distorm (C, shar to be included in a second message).  Fix stilted pkg-descr.  Bundle PE parser diSlib64.py with py-distorm.  Move Python library into PYTHON_SITELIBDIR.  Install simple bundled disassembler, disasm, as part of distorm.  

The new version includes numerous new features and bugfixes.  See the changelogs and homepage for details.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-13 11:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-05-13 11:20:09 UTC
Maintainer of devel/py-distorm,

Please note that PR ports/123627 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123627

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-05-13 11:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 bf 2008-05-13 11:23:54 UTC
The second proposed port mentioned in the PR,
devel/distorm, in shar form.




      ____________________________________________________________________________________
Be a better friend, newshound, and 
know-it-all with Yahoo! Mobile.  Try it now.  http://mobile.yahoo.com/;_ylt=Ahu06i62sR8HDtDypao8Wcj9tAcJ
Comment 5 Lutz Boehne 2008-05-13 11:47:13 UTC
I am not using FreeBSD anymore, so I would gladly hand over maintainership
to the submitter or anybody else willing to take care of diStorm.

Best regards,

Lutz
Comment 6 bf 2008-05-13 20:38:06 UTC
Sorry, I didn't understand that last response -- maybe
because it was MIME-encoded?  If it was a comment,
question, or revised patch, could you please send it
to bug-followup@ or to me in plain text, preferably
ASCII?

b.
Comment 7 Lutz Boehne 2008-05-13 23:16:17 UTC
Let's try this again, not using gpg, and without pesky Umlauts in the
From: header ;)

I am not using FreeBSD anymore, so I would gladly hand over maintainership
to the submitter or anybody else willing to take care of diStorm.

Best regards,

Lutz
Comment 8 bf 2008-05-14 01:30:21 UTC
Thanks for taking the time to send your reply again. 
I'm sorry to hear that you won't be around to help for
the moment, but maybe someday you'll be back ...  

Anyway, if you would like to resign as maintainer of
these two ports, I'm willing to become the maintainer
of both.

Regards, 
         b.
Comment 9 Li-Wen Hsu freebsd_committer 2008-06-15 05:33:41 UTC
Responsible Changed
From-To: freebsd-python->lwhsu

I'll take it.
Comment 10 dfilter service freebsd_committer 2008-06-15 05:40:37 UTC
lwhsu       2008-06-15 04:40:32 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-distorm     Makefile distinfo pkg-descr 
    devel/py-distorm/files patch-Makefile 
  Removed files:
    devel/py-distorm     pkg-plist 
  Log:
  - Update to 1.7.29
  - Bundle PE parser diSlib64.py
  - Move Python library into ${PYTHON_SITELIBDIR}
  - Pass maintainership to submitter
  
  PR:             ports/123627
  Submitted by:   bf <bf2006a AT yahoo.com>
  Approved by:    Lutz Boehne <lboehne AT damogran.de> (maintainer)
  
  Revision  Changes    Path
  1.6       +20 -9     ports/devel/py-distorm/Makefile
  1.7       +6 -3      ports/devel/py-distorm/distinfo
  1.2       +11 -12    ports/devel/py-distorm/files/patch-Makefile
  1.2       +7 -9      ports/devel/py-distorm/pkg-descr
  1.2       +0 -6      ports/devel/py-distorm/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2008-06-15 05:46:15 UTC
lwhsu       2008-06-15 04:46:11 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/distorm        Makefile distinfo pkg-descr 
    devel/distorm/files  patch-Makefile 
  Log:
  Add distorm 1.7.29, fast x86 and x86-64 disassembler library.
  
  PR:             ports/123627
  Submitted by:   bf <bf2006a at yahoo.com>
  
  Revision  Changes    Path
  1.3103    +1 -0      ports/devel/Makefile
  1.1       +42 -0     ports/devel/distorm/Makefile (new)
  1.1       +3 -0      ports/devel/distorm/distinfo (new)
  1.1       +22 -0     ports/devel/distorm/files/patch-Makefile (new)
  1.1       +10 -0     ports/devel/distorm/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Li-Wen Hsu freebsd_committer 2008-06-15 05:47:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!